using System;

internal sealed class Delegate565 : MulticastDelegate
{
	public extern DateTime Invoke(DateTime dateTime_0, TimeZoneInfo timeZoneInfo_0);

	public static DateTime smethod_0(DateTime dateTime_0, TimeZoneInfo timeZoneInfo_0, Delegate565 delegate565_1)
	{
		return delegate565_1(dateTime_0, timeZoneInfo_0);
	}

	public extern Delegate565(object object_0, IntPtr intptr_0);

	static Delegate565()
	{
		Class10.smethod_13(typeof(Delegate565).TypeHandle);
	}

	internal static Delegate565 delegate565_0;
}
